Name:		qrupdate
Version:	1.1.2
Release:	3
Summary:	A Fortran library for fast updates of QR and Cholesky decompositions
License:	GPLv3+
URL:		http://qrupdate.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Patch0:         qrupdate-gcc10.patch

Patch1:         add_bind_now.patch
BuildRequires:	gcc-gfortran

BuildRequires:	openblas-devel

%description
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions. 

%package devel
Summary:	Development libraries for %{name}
Requires:	%{name} = %{version}-%{release}
Requires:	openblas-devel%{?_isa}

%description devel
This package contains the development libraries for %{name}.

%prep
%setup -q
%autosetup -p1
# Modify install location
sed -i 's|$(PREFIX)/lib/|$(DESTDIR)%{_libdir}/|g' src/Makefile

%build
%make_build solib FC=gfortran FFLAGS="%{optflags} -Wl,-z,now -fimplicit-none -funroll-loops" BLAS="-lopenblas" LAPACK=

%install
make install-shlib LIBDIR=%{_libdir} PREFIX="%{buildroot}"
# Verify attributes
chmod 755 %{buildroot}%{_libdir}/libqrupdate.*

%check
make test FC=gfortran FFLAGS="%{optflags} -fimplicit-none -funroll-loops" BLAS="-lopenblas" LAPACK=

%ldconfig_scriptlets

%files
%license COPYING
%doc README ChangeLog
%{_libdir}/libqrupdate.so.*

%files devel
%{_libdir}/libqrupdate.so


%changelog
* Thu Sep 09 2021 gongzhengtang<gongzhengtang@huawei.com> - 1.1.2-3
- add bind now

* Mon Aug 02 2021 wangyong<wangyong187@huawei.com> - 1.1.2-2
- Fix build error caused by GCC upgrade to GCC-10

* Tue May 05 2020 Hubble Zhu <zhuhengbo1@huawei.com> - 1.1.2-1
- First release.
